/**
 * JASMINe VMMapi: JASMINe Virtual Machine Management API
 * Copyright (C) 2010 France Telecom R&D
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: HyperVDriver.java 7456 2011-01-19 23:05:51Z dangtran $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.vmm.agent.driver.hyperv;

import java.util.Map;
import java.util.logging.Level;

import javax.management.ObjectName;

import org.apache.log4j.Logger;
import org.jinterop.dcom.common.JISystem;
import org.ow2.jasmine.vmm.agent.domain.ServerPool;
import org.ow2.jasmine.vmm.agent.driver.Driver;

public class HyperVDriver implements Driver {

    private static String[] attributes = {"user", "password", "vmFolderPath", "vmTemplateFolderPath", "legacyNetworkAdapter",
        "syncPeriodMillis"};

    static protected Logger logger = Logger.getLogger(HyperVDriver.class);
    static {
        try {
            JISystem.getLogger().setLevel(Level.OFF);
        } catch (Exception ex) {
            HyperVDriver.logger.error(ex);
        }
    }

    public ServerPool newServerPool(final String name, final ObjectName objectName, final Map<String, String> attributes) {
        HyperVServerPool pool = new HyperVServerPool(name, objectName, attributes);
        return pool;
    }

    @Override
    public String[] getServerPoolCreationAttributes() {
        return HyperVDriver.attributes;
    }
}
